SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


CREATE TABLE IF NOT EXISTS `class` (
  `id` bigint(12) NOT NULL,
  `name` varchar(30) NOT NULL,
  `department` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `department` (
  `id` int(3) NOT NULL,
  `name` varchar(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `grade` (
  `year` int(4) NOT NULL,
  PRIMARY KEY  (`year`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `student` (
  `name` varchar(16) NOT NULL,
  `classid` bigint(14) NOT NULL,
  `stuid` bigint(14) NOT NULL,
  `status` varchar(10) NOT NULL,
  `classname` varchar(30) NOT NULL,
  `department` varchar(30) NOT NULL,
  PRIMARY KEY  (`stuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `student_graduate` (
  `department` varchar(30) NOT NULL,
  `major` varchar(30) NOT NULL,
  `class` varchar(30) NOT NULL,
  `stuid` bigint(14) NOT NULL,
  `name` varchar(20) NOT NULL,
  `sex` varchar(4) NOT NULL,
  `policital` varchar(16) NOT NULL,
  `nation` varchar(10) NOT NULL,
  `intime` int(4) NOT NULL,
  `source` varchar(50) NOT NULL,
  `idnum` bigint(22) NOT NULL,
  `status` varchar(10) NOT NULL,
  `inmajor2` varchar(5) default NULL,
  `destination` varchar(50) NOT NULL,
  `location` varchar(50) NOT NULL,
  `belong` varchar(50) NOT NULL,
  `filesto` varchar(50) NOT NULL,
  `filestolocation` varchar(50) NOT NULL,
  `month` text,
  `registered` text NOT NULL,
  `protocol` varchar(10) NOT NULL,
  `oneoffjob` varchar(10) NOT NULL,
  PRIMARY KEY  (`stuid`),
  KEY `name` (`name`),
  KEY `source` (`source`),
  KEY `destination` (`destination`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `student_socre` (
  `term` char(7) NOT NULL,
  `stuid` char(14) NOT NULL,
  `name` varchar(16) NOT NULL,
  `course` varchar(40) NOT NULL,
  `kind` varchar(16) NOT NULL,
  `credit` float NOT NULL,
  `socre1` varchar(6) NOT NULL,
  `socre2` varchar(6) NOT NULL,
  `socre3` varchar(6) NOT NULL,
  KEY `stuid` (`stuid`),
  KEY `course` (`course`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `test` (
  `phone` bigint(11) NOT NULL,
  `name` char(50) NOT NULL,
  `cash` float NOT NULL,
  `date` date NOT NULL,
  KEY `phone` (`phone`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
